Package org.eclipse.handly.xtext.ui.editor

## Class HandlyDirtyStateEditorSupport

- java.lang.Object
- - org.eclipse.xtext.ui.editor.DirtyStateEditorSupport
  - - org.eclipse.handly.xtext.ui.editor.HandlyDirtyStateEditorSupport

- All Implemented Interfaces:
    `java.util.EventListener`, `org.eclipse.swt.events.VerifyListener`, `org.eclipse.swt.internal.SWTEventListener`, `org.eclipse.xtext.resource.IResourceDescription.Event.Listener`
  Direct Known Subclasses:
    `HandlyJvmTypesAwareDirtyStateEditorSupport`

      public class HandlyDirtyStateEditorSupport
      extends org.eclipse.xtext.ui.editor.DirtyStateEditorSupport

  Extends `DirtyStateEditorSupport` for Handly reconciling story.

  Bind this class or its subclass in place of the default `DirtyStateEditorSupport` if you have `HandlyXtextDocument` bound:

       public Class<? extends DirtyStateEditorSupport> bindDirtyStateEditorSupport() {
           return HandlyDirtyStateEditorSupport.class; // or its subclass
       }

  See Also:
    `HandlyJvmTypesAwareDirtyStateEditorSupport`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.DirtyStateEditorSupport

      `org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IConcurrentEditingCallback, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClient, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClientExtension, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.InteractiveConcurrentEditingQuestion, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.UpdateEditorStateJob`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HandlyDirtyStateEditorSupport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initializeDirtyStateSupport​(org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClient client)` |
    `void` | `removeDirtyStateSupport​(org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClient client)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.DirtyStateEditorSupport

      `announceDirtyState, collectAffectedResources, createDelta, createUpdateEditorJob, descriptionsChanged, doVerify, getConcurrentEditingWarningDialog, getDirtyResource, getDirtyStateManager, getResourceDescriptionManager, getResourceDescriptionManagerIfOwnLanguage, getStateChangeEventBroker, getUpdateEditorStateJob, haveEObjectDescriptionsChanged, haveEObjectDescriptionsChanged, initDirtyResource, isConcurrentEditingIgnored, isDirty, isEditingPossible, isReparseRequired, markEditorClean, modelChanged, processDelta, scheduleUpdateEditorJob, setConcurrentEditingWarningDialog, setDirtyResource, setDirtyStateManager, setResourceDescriptions, setResourceServiceProviderRegistry, setStateChangeEventBroker, verifyText, waitForUpdateEditorJob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlyDirtyStateEditorSupport

          public HandlyDirtyStateEditorSupport()

  - ### Method Detail

    - #### initializeDirtyStateSupport

          public void initializeDirtyStateSupport​(org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClient client)

      Overrides:
        `initializeDirtyStateSupport` in class `org.eclipse.xtext.ui.editor.DirtyStateEditorSupport`

    - #### removeDirtyStateSupport

          public void removeDirtyStateSupport​(org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClient client)

      Overrides:
        `removeDirtyStateSupport` in class `org.eclipse.xtext.ui.editor.DirtyStateEditorSupport`